
#include "include/AT91SAM7S64.h"
#include "include/regptr.h"

#include "rs232.h"

#pragma pack(1)
U8 Command[82];
U8 MsgHere,CmdHere,SerialTimeOut;
U8 Message[82];

#pragma pack(2)
U16 NrOfBytes, NrSend;
#pragma pack()

//--------------------------------------------------------------------------------------
void SendRS232_Byte(U8 TxByte)
{
        pDBGU->DBGU_CR = AT91C_US_RSTSTA;
        pDBGU->DBGU_THR = TxByte & 0x000000ff;
        while (((pDBGU->DBGU_CSR) & AT91C_US_TXRDY) == 0) {};
}
//--------------------------------------------------------------------------------------
U16 RecRS232_Byte(void)
{
U16 RxByte,Cntr;
      RxByte=0x100;
      for(Cntr=0;Cntr<0x800;Cntr++)
      {
        if (pDBGU->DBGU_CSR & AT91C_US_RXRDY) RxByte = pDBGU->DBGU_RHR & 0x00000fff;
        if (RxByte != 0x100) break;
      }
      if(RxByte==0x100) SerialTimeOut=1;
      return RxByte;
}
//--------------------------------------------------------------------------------------
void SendRS232String(U8 *Kiirni)
{
        while(*Kiirni)
	{	
		SendRS232_Byte(*Kiirni++);
	}
        SendRS232_Byte(13);SendRS232_Byte(10);
}
//--------------------------------------------------------------------------------------
void Send_message()
{
U8 i;

	if(MsgHere)
	{
		for(i=0;i<NrSend;i++)
		{
			SendRS232_Byte(Message[i]);
		}
		MsgHere=0;
	}
}
//-------------------------------------------------------
void GetRSCmd()		// Getting data from control SW
{
U8 i;

	CmdHere=0;
	NrOfBytes=0;
	SerialTimeOut=0;
	while(1)
	{
		i = RecRS232_Byte();
		if(SerialTimeOut) break;
		//SendRS232_Byte(i);
		Command[NrOfBytes] = i;
		NrOfBytes++;
	}
	if(Command[0]==0xea)
	{
		while(1) continue;
	}
	if(NrOfBytes != 0) CmdHere=1;
}
//------------------------------------------------------- 
