#include "types.h"

#define BaudSpeed 19200
//#define GRATTIME  3

#include "include/regptr.h"
#include "Board.h"
#include "rs232.h"
#include "Wait.h"
#include "glcd_cv12864b.h"
#include "font5x7.h"

U32* memptr;
U8 Coll;
U16 g;
//-------------------------------------------------------
unsigned int BaudrateCalcSt (
	const unsigned int main_clock, // \arg peripheral clock
	const unsigned int baud_rate)  // \arg UART baudrate
{
	unsigned int baud_value = (10 * main_clock/(baud_rate * 16));
	if ((baud_value % 10) >= 5)
		baud_value = (baud_value / 10) + 1;
	else
		baud_value /= 10;
	return baud_value;
}
//-------------------------------------------------------
void CheckCmd()
{

	if(CmdHere)
	{
	   GlcdBuff[g] =Command[0];
	   FlushScreen();
	   g++;
	   CmdHere=0;	  
        }
}
//--------------------------------------------------------------------------------------
void Initialize(void)
{
    // Setup Clocks
      pPMC->PMC_PCER = 1 << AT91C_ID_PIOA;  //PIO clock start
      pPMC->PMC_PCER = 1 << AT91C_ID_SYS;
      pRSTC->RSTC_RMR |= (0xa5 << 24)|1;

    // Setup Serial DBGU Port
      pPIO->PIO_PDR = AT91C_PA10_DTXD | AT91C_PA9_DRXD;   //Disable PIO
      pPIO->PIO_ASR = AT91C_PA10_DTXD | AT91C_PA9_DRXD;   //Enable PeripherialA
      
      pDBGU->DBGU_BRGR  = BaudrateCalcSt(MCK, BaudSpeed);
      pDBGU->DBGU_MR    = AT91C_US_PAR_NONE | AT91C_US_CHMODE_NORMAL;
      pDBGU->DBGU_CR    = AT91C_US_RXEN | AT91C_US_TXEN;
 
      MsgHere=0;CmdHere=0;SerialTimeOut=0;
      
      //SendRS232String("-------------------");
      //SendRS232String("- ARM AT91SAM7S64 -");
      //SendRS232String("-------------------");
}
//--------------------------------------------------------------------------------------
void main(void)
{
U8 i,dir;
U16 ccc;

   Initialize();
   Init_GLCD();
   GLCD_Clear();
/*
   SetPixel(0,0);  
   SetPixel(0,63);  
   SetPixel(127,0);  
   SetPixel(127,63);  
   SetPixel(64,32);
*/


  i=0;
  dir=0;
   while(1)
   {
     GLCD_Text(30,28,"Szia Pasti!",0); 
     for(ccc=0;ccc<20;ccc=ccc+4)
     {
       GLCD_Rec(ccc+i,ccc+i,127-(ccc+i),63-(ccc+i));
     }
     if(dir==0) i++;else i--;
     if(i>4) dir=!dir;
     FlushScreen();
     Wait(200,MSEC);      
     for(ccc=0;ccc<1024;ccc++) GlcdBuff[ccc]=0;
     
     
       GetRSCmd();
      CheckCmd();
   }
}
